Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## bea.jolt.pool
Class ApplicationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--bea.jolt.pool.ApplicationException

public class ApplicationException
extends java.lang.RuntimeException

This exception is thrown when an application error occurs during a BEA TUXEDO service invocation, that is, when a BEA TUXEDO service returns with `TPESVCFAIL`. The `Result` object returned by the service invocation could contain additional application information about the error. The `Result` object can be accessed from this class.

Author:
  Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`protected` | `ApplicationException(Result result)` Creates an `ApplicationException` object.

Method Summary
`int` | `getApplicationCode()` Gets the application code.
`Result` | `getResult()` Gets the `Result` object from the BEA TUXEDO service invocation.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApplicationException

    protected ApplicationException(Result result)

  Creates an `ApplicationException` object.

  Parameters:
    `result` - `Result` from the service invocation

Method Detail

### getResult

    public Result getResult()

  Gets the `Result` object from the BEA TUXEDO service invocation.

  Returns:
    `Result` object from the BEA TUXEDO service invocation.

### getApplicationCode

    public int getApplicationCode()

  Gets the application code. This is equivalent to the `tpurcode` returned from a BEA Tuxedo service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD